//
//  CSSubscriptionManager.h
//  CoreSpotlight
//
//  Created by Philippe Hausler on 7/8/15.
//  Copyright © 2015 Apple. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

NS_CLASS_AVAILABLE(NA, 9_0)
@interface CSSubscriptionManager : NSObject

+ (CSSubscriptionManager *)sharedManager;

- (void)registerSubscriptionWithInfo:(NSString *)subscriptionInfo expirationDate:(NSDate *)expirationDate;
- (void)unregisterSubscriptionWithInfo:(NSString *)subscriptionInfo;
- (void)unregisterAllSubscriptions;

@end

NS_ASSUME_NONNULL_END
